/**
 * GNU LibreJS - A browser add-on to block nonfree nontrivial JavaScript.
 * *
 * Copyright (C) 2011, 2012 Loic J. Duros
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see  <http://www.gnu.org/licenses/>.
 *
 */

var streamLoader = require("http_observer/stream_loader.js");
var {Cc, Ci, Cu, Cm, Cr} = require("chrome");

exports.testListener = function (test) { 
    var streamloader = Cc["@mozilla.org/network/unichar-stream-loader;1"].
        createInstance(Ci.nsIUnicharStreamLoader);
    streamloader.init(streamLoader.listener);
    var ios = Cc["@mozilla.org/network/io-service;1"]
            .getService(Ci.nsIIOService);
    var chan = ios.newChannel("http://lduros.net", null, null);
    chan.asyncOpen(streamloader, null);
    test.done();
};
